#ifndef CPUGAUSSEIDEL_H
#define CPUGAUSSEIDEL_H

#ifdef __cplusplus
   extern "C" {
#endif

int CPUGausSeidel (float* hDataIn, 
                   float* hDataOut,
                   int size);

void padDiag (float* src, 
              float* dest, 
              int size, 
              int stride);

int calcL (float *matrix, 
           int size, 
           int stride);

int calcR (float *matrix, 
           int size, 
           int stride);

void normalizeDiag (float* paddedMatrix, 
                    int size, 
                    int stride);

#ifdef __cplusplus
   }
#endif

#endif